package com.ruoyi.nanjing.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 工位管理对象 T_BD_SubStation
 * 
 * @author limy
 * @date 2021-01-22
 */
public class TBdSubstation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long ID;

    /** 工位id */
//    @Excel(name = "工位id")
    private Long StationID;

    /** 工位代码 */
    @Excel(name = "工位代码")
    private String StationCode;

    /** 工位类型 */
    @Excel(name = "工位类型")
    private Long StationType;

    /** 机台id */
//    @Excel(name = "机台id")
    private String MachineID;

    /** 连接id */
//    @Excel(name = "连接id")
    private Long UniteID;

    /** 实际code */
//    @Excel(name = "实际code")
    private String CustomerCode;

    /** 工位名称 */
    @Excel(name = "工位名称")
    private String StationName;

    /** 父工位id */
//    @Excel(name = "父工位id")
    private String ParentStationID;

    /** 父工位码 */
//    @Excel(name = "父工位码")
    private String ParentStationCode;

    /** 父工位名 */
//    @Excel(name = "父工位名")
    private String ParentStationName;

    /** 前工位id */
//    @Excel(name = "前工位id")
    private String PreStationID;

    /** 前工位码 */
//    @Excel(name = "前工位码")
    private String PreStationCode;

    /** 备注 */
//    @Excel(name = "备注")
    private String Reamark;

    /** 用户id */
//    @Excel(name = "用户id")
    private String UserID;

    /** 表名称 */
//    @Excel(name = "表名称")
    private String TableName;

    /** 是否子工位 */
//    @Excel(name = "是否子工位")
    private String IsSemi;

    /** 是否弃用工位 */
//    @Excel(name = "是否弃用工位")
    private String IsNGStation;

    /** 数据 */
//    @Excel(name = "数据")
    private String HaveData;

    /** 是否显示 */
//    @Excel(name = "是否显示")
    private String IsShow;

    /** 是否有效，上位机使用该字段 */
//    @Excel(name = "是否有效，上位机使用该字段")
    private String UseFlag;

    /** 参数个数 */
    @Excel(name = "参数个数")
    private Long paraCount;

    /** 排序id */
    @Excel(name = "排序id")
    private Long OrderID;

    /** 限制id */
//    @Excel(name = "限制id")
    private String LimitID;

    /** 图片路径 */
//    @Excel(name = "图片路径")
    private String ImageUrl;

    @Override
    public Date getUpdateTime() {
        return UpdateTime;
    }

    @Override
    public void setUpdateTime(Date updateTime) {
        UpdateTime = updateTime;
    }

    /** 更新时间 */
    private Date UpdateTime;

    /** 线路id */
    @Excel(name = "线路id")
    private Long LineID;

    public void setID(Long ID) 
    {
        this.ID = ID;
    }

    public Long getID() 
    {
        return ID;
    }
    public void setStationID(Long StationID) 
    {
        this.StationID = StationID;
    }

    public Long getStationID() 
    {
        return StationID;
    }
    public void setStationCode(String StationCode) 
    {
        this.StationCode = StationCode;
    }

    public String getStationCode() 
    {
        return StationCode;
    }
    public void setStationType(Long StationType) 
    {
        this.StationType = StationType;
    }

    public Long getStationType() 
    {
        return StationType;
    }
    public void setMachineID(String MachineID) 
    {
        this.MachineID = MachineID;
    }

    public String getMachineID() 
    {
        return MachineID;
    }
    public void setUniteID(Long UniteID) 
    {
        this.UniteID = UniteID;
    }

    public Long getUniteID() 
    {
        return UniteID;
    }
    public void setCustomerCode(String CustomerCode) 
    {
        this.CustomerCode = CustomerCode;
    }

    public String getCustomerCode() 
    {
        return CustomerCode;
    }
    public void setStationName(String StationName)
    {
        this.StationName = StationName;
    }

    public String getStationName()
    {
        return StationName;
    }
    public void setParentStationID(String ParentStationID) 
    {
        this.ParentStationID = ParentStationID;
    }

    public String getParentStationID() 
    {
        return ParentStationID;
    }
    public void setParentStationCode(String ParentStationCode) 
    {
        this.ParentStationCode = ParentStationCode;
    }

    public String getParentStationCode() 
    {
        return ParentStationCode;
    }
    public void setParentStationName(String ParentStationName)
    {
        this.ParentStationName = ParentStationName;
    }

    public String getParentStationName()
    {
        return ParentStationName;
    }
    public void setPreStationID(String PreStationID) 
    {
        this.PreStationID = PreStationID;
    }

    public String getPreStationID() 
    {
        return PreStationID;
    }
    public void setPreStationCode(String PreStationCode) 
    {
        this.PreStationCode = PreStationCode;
    }

    public String getPreStationCode() 
    {
        return PreStationCode;
    }
    public void setReamark(String Reamark)
    {
        this.Reamark = Reamark;
    }

    public String getReamark()
    {
        return Reamark;
    }
    public void setUserID(String UserID) 
    {
        this.UserID = UserID;
    }

    public String getUserID() 
    {
        return UserID;
    }
    public void setTableName(String TableName)
    {
        this.TableName = TableName;
    }

    public String getTableName()
    {
        return TableName;
    }
    public void setIsSemi(String IsSemi) 
    {
        this.IsSemi = IsSemi;
    }

    public String getIsSemi() 
    {
        return IsSemi;
    }
    public void setIsNGStation(String IsNGStation) 
    {
        this.IsNGStation = IsNGStation;
    }

    public String getIsNGStation() 
    {
        return IsNGStation;
    }
    public void setHaveData(String HaveData) 
    {
        this.HaveData = HaveData;
    }

    public String getHaveData() 
    {
        return HaveData;
    }
    public void setIsShow(String IsShow) 
    {
        this.IsShow = IsShow;
    }

    public String getIsShow() 
    {
        return IsShow;
    }
    public void setUseFlag(String UseFlag) 
    {
        this.UseFlag = UseFlag;
    }

    public String getUseFlag() 
    {
        return UseFlag;
    }
    public void setParaCount(Long paraCount) 
    {
        this.paraCount = paraCount;
    }

    public Long getParaCount() 
    {
        return paraCount;
    }
    public void setOrderID(Long OrderID) 
    {
        this.OrderID = OrderID;
    }

    public Long getOrderID() 
    {
        return OrderID;
    }
    public void setLimitID(String LimitID) 
    {
        this.LimitID = LimitID;
    }

    public String getLimitID() 
    {
        return LimitID;
    }
    public void setImageUrl(String ImageUrl)
    {
        this.ImageUrl = ImageUrl;
    }

    public String getImageUrl()
    {
        return ImageUrl;
    }
    public void setLineID(Long LineID) 
    {
        this.LineID = LineID;
    }

    public Long getLineID() 
    {
        return LineID;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("StationID", getStationID())
            .append("StationCode", getStationCode())
            .append("StationType", getStationType())
            .append("MachineID", getMachineID())
            .append("UniteID", getUniteID())
            .append("CustomerCode", getCustomerCode())
            .append("StationName", getStationName())
            .append("ParentStationID", getParentStationID())
            .append("ParentStationCode", getParentStationCode())
            .append("ParentStationName", getParentStationName())
            .append("PreStationID", getPreStationID())
            .append("PreStationCode", getPreStationCode())
            .append("Reamark", getReamark())
            .append("UserID", getUserID())
            .append("UpdateTime", getUpdateTime())
            .append("TableName", getTableName())
            .append("IsSemi", getIsSemi())
            .append("IsNGStation", getIsNGStation())
            .append("HaveData", getHaveData())
            .append("IsShow", getIsShow())
            .append("UseFlag", getUseFlag())
            .append("paraCount", getParaCount())
            .append("OrderID", getOrderID())
            .append("LimitID", getLimitID())
            .append("ImageUrl", getImageUrl())
            .append("LineID", getLineID())
            .toString();
    }
}
